# Obsidianstuff Redo [obsidianstuff]

[![luacheck](https://github.com/OgelGames/obsidianstuff/workflows/luacheck/badge.svg)](https://github.com/OgelGames/obsidianstuff/actions)
[![License](https://img.shields.io/badge/License-MIT%20and%20CC%20BY--SA%204.0-green.svg)](LICENSE.md)
[![Minetest](https://img.shields.io/badge/Minetest-5.0+-blue.svg)](https://www.minetest.net)
[![ContentDB](https://content.minetest.net/packages/OgelGames/obsidianstuff/shields/downloads/)](https://content.minetest.net/packages/OgelGames/obsidianstuff/)

## Table of Contents

- [Overview](#overview)
- [Items](#items)
- [Dependencies](#dependencies)
- [Installation](#installation)
- [License](#license)

## Overview

A redo of [ObsidianStuff by SoloSniper](https://content.minetest.net/packages/SoloSniper/obsidianstuff), with better textures, simpler crafting and other improvements. 

![Overview Screenshot](images/overview.png?raw=true "Overview Screenshot")

## Items

This mod adds the following tools:

- **Obsidian Axe**
- **Obsidian Pickaxe**
- **Obsidian Shovel**
- **Obsidian Sword**

![Obsidian Tools](images/tools.png?raw=true "Obsidian Tools")

And if `3d_armor` is installed, the following armor pieces:

- **Obsidian Helmet**
- **Obsidian Chestplate**
- **Obsidian Leggings**
- **Obsidian Boots**
- **Obsidian Shield**

![Obsidian Armor](images/armor.png?raw=true "Obsidian Armor")

## Dependencies

**Required**

- `default` (included in [Minetest Game](https://github.com/minetest/minetest_game))

**Optional**

- [`3d_armor`](https://github.com/minetest-mods/3d_armor)
- [`toolranks`](https://github.com/lisacvuk/minetest-toolranks)
- [`pick_axe_tweaks`](https://github.com/wsor4035/pick_axe_tweaks)

## Installation

Download the [master branch](https://github.com/OgelGames/obsidianstuff/archive/master.zip) or the [latest release](https://github.com/OgelGames/obsidianstuff/releases), and follow [the usual installation steps](https://dev.minetest.net/Installing_Mods).

Alternatively, you can download and install the mod from [ContentDB](https://content.minetest.net/packages/OgelGames/obsidianstuff) or the online content tab in Minetest.

## License

Except for any exceptions stated in [LICENSE.md](LICENSE.md#exceptions), all code is licensed under the [MIT License](LICENSE.md#mit-license), with all textures, models, sounds, and other media licensed under the [CC BY-SA 4.0 License](LICENSE.md#cc-by-sa-40-license). 
